Subject: Re: linux-next: build failure after merge of the tip tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 21 Jan 2014 11:47:21 +0100

* Peter Zijlstra <[email-masked]> wrote:

> On Mon, Jan 20, 2014 at 04:39:45PM -0500, Len Brown wrote:
> > > As a side note, at minimum the semantic and compatibility difference
> > > needs to be _very_ clearly present in the naming. Something like
> > > mwait_old_() or mwait_core2_(). That way such dependencies and
> > > assumptions don't get lost in code restructuring, etc.
> > 
> > Agreed.
> > We started with mwait_idle() -- which was erroneously removed
> > and is now being restored under it original name.
> > 
> > The "new" function is mwait_idle_with_hints() -- which uses the 
> > additional hints that were not available w/ the original MWAIT 
> > instruction. Where "new" is Core Duo and later -- all the 
> > processor that can use MWAIT for C-states deeper than C1.
> 
> I'm still waiting for someone to explain what's wrong with:
> 
> static inline void mwait_idle(void)
> {
> 	local_irq_enable();
> 	mwait_idle_with_hints(0, 0);
> }

Absolutely agreed, we don't want to carry it on 'just because', the 
compatibility aspect needs to be documented - otherwise we degrade 
into cargo cult programming.

Thanks,

	Ingo